# Retrieve Tariffs
source: https://developer.mastercard.com/mastercard-processing-core/documentation/use-cases/data-management/query-cms-get-particular-data/retrieve-tariffs/index.md

## Overview {#overview}

The use case describes how you retrieve a list of tariffs configured in the CMS for the contract (account contract or card contract). Refer to the [Tariffs](https://developer.mastercard.com/mastercard-processing-core/documentation/guides/card-management-system/index.md#tariffs) guide for more information about tariffs.

## Sequence diagram {#sequence-diagram}

Diagram retrieve-tariffs

### Explanation {#explanation}

1. The server sends a `GET` request to the `/contracts/{contract_id}/tariff-data` endpoint. To retrieve data for the account contract or card contract, the server must put `accountContractId` or `cardContractId`, respectively, in place of `contract_id` in the path. Tip: You can filter the retrieved data by using `tariff_code`, `tariff_domain_code`, `tariff_role`, and `tariff_type_code` query parameters.
2. The API returns a list of requested tariffs with the configuration details stored in the CMS. Refer to [Endpoint](https://developer.mastercard.com/mastercard-processing-core/documentation/use-cases/data-management/query-cms-get-particular-data/retrieve-tariffs/index.md#endpoint) to check the complete list of data returned by the endpoint. Tip: The operation supports [pagination](https://developer.mastercard.com/mastercard-processing-core/documentation/api-basics-section/pagination-filtering/index.md). Refer to [Sandbox testing](https://developer.mastercard.com/mastercard-processing-core/documentation/sandbox-testing/data-management/query-cms-to-get-particular-data/retrieve-tariff-config/index.md) for information on how to execute the use case in the Sandbox environment.

## Endpoint {#endpoint}


API Reference: `GET /contracts/{contract_id}/tariff-data`

